Subject: bug#65401: 30.0.50; custom-theme-directory :type could be enhanced

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Aug 2023 14:05:07 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 21 Aug 2023 08:00:35 +0000
> 
> Mauro Aranda <[email-masked]> writes:
> 
> > Eli Zaretskii <[email-masked]> writes:
> >
> >>> Date: Sun, 20 Aug 2023 09:35:17 -0300
> >>> Cc: [email-masked]
> >>> From: Mauro Aranda <[email-masked]>
> >>>
> >>> Eli Zaretskii <[email-masked]> writes:
> >>>
> >>>  > If the directory doesn't have to exist, then what is the difference
> >>>  > between :directory and :string?
> >>>
> >>> Completion when editing via Customize is the only one it comes to my
> >>> mind right now (useful when the user wants to edit it to some directory
> >>> it already exists).
> >>
> >> Then I don't see why would anyone object to the change you propose.
> >> It has no downsides, AFAICT.
> >>
> >> Thanks.
> >
> > OK, thank you.  I attach the patch.
> >
> > From c34dea06956f2a3d098badf9cea089bee0f7b61b Mon Sep 17 00:00:00 2001
> > From: Mauro Aranda <[email-masked]>
> > Date: Sun, 20 Aug 2023 10:39:49 -0300
> > Subject: [PATCH] Improve type of custom-theme-directory (Bug#65401)
> >
> > * lisp/custom.el (custom-theme-directory): Make it of type directory.
> > ---
> >  lisp/custom.el | 4 ++--
> >  1 file changed, 2 insertions(+), 2 deletions(-)
> >
> > diff --git a/lisp/custom.el b/lisp/custom.el
> > index 083349e3591..5b244464d0b 100644
> > --- a/lisp/custom.el
> > +++ b/lisp/custom.el
> > @@ -1208,9 +1208,9 @@ custom-theme-directory
> >  directory.  By default, Emacs searches for custom themes in this
> >  directory first---see `custom-theme-load-path'."
> >    :initialize #'custom-initialize-delay
> > -  :type 'string
> > +  :type 'directory
> >    :group 'customize
> > -  :version "22.1")
> > +  :version "30.1")
> 
> Does the version tag have to be bumped, for a metadata change this like?

Probably not.  AFAIK, this is only used for showing "new and changed"
options when users upgrade, and this change will be invisible at user
level.

Stefan, am I missing something?